Skip to main content
If you are a Qonto customer, you can authenticate by using the login and the secret key of your Qonto organization. To do so:
  1. Go to the Qonto web app of the environment you are currently working on πŸ‘‡
  2. If you have several organizations, choose the organization to which you want to connect.
  3. Click onΒ Integrations and PartnershipsΒ >Β API key. Secret key generation.png
  4. (optional) Click on theΒ GenerateΒ button to create your secret key.
  5. Use the following header in your API calls πŸ‘‡
    Authorization: {sign-in}:{secret-key}
    
As an example, to authenticate an organization whose sign-in is pied-piper-7132 and secret key is 62885d39f3a0ddedd3d3ee0432a43ccr, your request will look like this:
cURL example
curl --location --globoff 'https://thirdparty.qonto.com/v2/organization' \
--header 'Authorization: pied-piper-7132:62885d39f3a0ddedd3d3ee0432a43ccr'
While this may resemble HTTP Basic Authentication,it’s not. This approach simply concatenates the sign-in and secret-key values with a colon (:) separator β€” no Base64 encoding involved.
  1. Make your first request to https://thirdparty.qonto.com/v2/organization
    • If you get a 200 Success code (with details of your organization)
      β†’ πŸŽ‰ Congratulations, your Authorization header is valid
    • If you get a 401 Unauthorized error code β†’ Double-check your header name & value